//
//	僶乕僕儑儞昞帵
//
function MacroVersion()
{
	var v;
	if( MACHINE == "WINDOWS" )
		v =	"PolygonEditor Version  "+Version();
	else
		v =	"Model.x Version  "+Version();
	DlogOpen( "僶乕僕儑儞昞帵", 6, FALSE );
	DlogMessage( 0, v );
	DlogMessage( 2,	"Macro   Version  2.0.454/Max" );
	DlogMessage( 4,	"  婇夋    Project Team Do-GA" );
	DlogMessage( 5,	"  奐敪    (姅) Do-GA" );
	DlogMessage( 6,	"  Copyright (C) 1994-1996 (姅)Do-GA" );

	DlogWait();
}

function DisplayHelp()
{
	Child( model_dir+"PolyEdit.Hlp" );
}
/*
function Test()
{
	var	i, m, j;
	PolyLoadInit();
	PolyLoad();
	m = vector(0,0,0);
	j = PolyVertexs();
	for( i = 1; i< (j-1); i++ )
	{
print( i ," " );
		m += Position(PolyGetVertex(i)-PolyGetVertex(i-1))*Position(PolyGetVertex(i+1)-PolyGetVertex(i));
	}
print( "pass1\n" );
	m += Position(PolyGetVertex(j-1)-PolyGetVertex(j-2))*Position(PolyGetVertex(0)-PolyGetVertex(j-1));
	m += Position(PolyGetVertex(0)-PolyGetVertex(j-1))*Position(PolyGetVertex(1)-PolyGetVertex(0));
print( m ,"\n");
}
*/
if( MACHINE == "WINDOWS" )
{
	MenuPosition(
		Menu( "唾踢(&H)",
			"PolyEdit偺巊偄曽",	DisplayHelp,
			"----------------",	SEPARATE_MENU,
			"PolyEdit偵偮偄偰",	MacroVersion
		), Menu_help
	);
}
else
{
	MenuPosition(
		Menu( "唾踢(&H)",
			"用拶偺巊偄曽",	DisplayHelp,MENU_DISABLE,
			"------------",	SEPARATE_MENU,
			"用拶偵偮偄偰",	MacroVersion
		), Menu_help
	);
}
